"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const master_1 = require("./master");
const slave_1 = require("./slave");
class Main {
    constructor(object, config) {
        this._object = object;
        this._config = config;
        this._taskHandler = config.type == 'master' ? new master_1.default(object, config) : new slave_1.default(object, config);
    }
    init() {
        this._taskHandler.init();
    }
    call(name, params, cb, errCb) {
        return this._taskHandler.call(name, params, cb, errCb);
    }
    destroy() {
        this._taskHandler.destroy();
    }
}
exports.default = Main;
